/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.ergebnis.entity;

public interface SitzeBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<SitzePK, SitzeUK>

{

  
  /**
   * getter for primary key wrapper SITZE.sitze_id
   *
   * @return
   */
  @Override
  SitzePK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for SITZE.ANZAHL
   *
   */
  java.lang.Long getAnzahl();

  /**
   * 
   *
   * setter for SITZE.ANZAHL
   *
   * @param anzahl
   */
  void setAnzahl(java.lang.Long anzahl);
      

  /**
   * 
   *
   * getter for SITZE.ANZAHL_ANSPRUCH
   *
   */
  java.lang.Long getAnzahlAnspruch();

  /**
   * 
   *
   * setter for SITZE.ANZAHL_ANSPRUCH
   *
   * @param anzahlAnspruch
   */
  void setAnzahlAnspruch(java.lang.Long anzahlAnspruch);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



  /**
   * 
   */
  void setErgebnis(de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis);

  /**
   * 
   */
  de.ivu.elect.business.ergebnis.entity.Ergebnis getErgebnis();



  /**
   * 
   */
  void setGebiet(de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet);

  /**
   * 
   */
  de.ivu.elect.business.gebietsbaum.entity.Gebiet getGebiet();



  /**
   * 
   */
  void setGruppe(de.ivu.elect.business.gruppe.entity.Gruppe gruppe);

  /**
   * 
   */
  de.ivu.elect.business.gruppe.entity.Gruppe getGruppe();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
